
body{
    font-family:Arial, Helvetica, sans-serif;
    margin: 0%;
    padding: 0%;
    width: 90%;
    background-color: white;
    min-height: 100vh;
    position: relative;
    }

body.light-mode {
        background-color: #ffffff;
        color: #000000;
    }
    
body.dark-mode {
        background-color: #121212;
        color: #ffffff;
    }

    #toggle-theme {
        background-color: transparent;
        border: 1px solid white;
        color: white;
        cursor: pointer;
        padding: 5px 10px;
    }
        .navbar{
            display: flex;
            justify-content: center;
            align-items: center;
            padding: 20px 70px;
            background-color: #c7c7c7;
            position: relative;
            width: 100%;
        }
    
        .menuhorizontal { 
            list-style: none;
            padding: 0%;
            margin: 0%;
            display: flex;
            transition: all 0.5s ease ;
        
        }
        .menuhorizontal li {
            margin-left: 24px;
    
        }
        .menuhorizontal > li > a{
            color: black;
            text-decoration: none;
            font-size: 17px;
            padding: 8px 24px;
            border-radius: 30px ;
            transition: background-color 0.2s ease;
        }
    
        .menuhorizontal a:hover
    { background-color:#a5a5a5; }
    
    .menuicono {
        display: none;
        flex-direction: column;
        cursor: pointer;
        margin-left: auto;
        position: relative;
        z-index: 5;
    }
    .menuicono .line {
    width: 30px;
    height: 3px;
    background-color: rgb(16, 16, 16);
    margin: 5px 0;
    transition: all 0.3s ease;
    }
    
    #menuhamburguesa{
        display: none;
    }
    
    
    @media(max-width: 768px) {
        .navbar{
            padding: 30px;
            margin-left: -10px;
            width: 100%;
        }
        .menuicono{
            display: flex;
        }
    
        .menuhorizontal {
            position: absolute;
            top: 70px;
            right: 0%;
            width: 100%;
            height: 10%;
            min-width: 100%;
            overflow: hidden;
            flex-direction: column;
            background-color: #c7c7c7;
            text-align: center;
            transition: height 0.3s ease ;
        }
    
        .menuhorizontal li {
            margin: 0%;
            padding: 20px 0;
            width: 100%;
        }
        .menuhorizontal a {
            width: 100%;
            padding: 10px 20px;
        }
        #menuhamburguesa:checked + .menuicono + .menuhorizontal {
            height: 140vh ;
            width: 100px;
            height: 500px;
        
        
        }
        .contenedor {
            flex-direction: column;
            width: 100%;
        }
        
        .servicios {
            flex-direction: column;
        
        }
        .titulogrande{
            flex-direction: column;
        }
        #menuicon{
            margin-right: 70px;
        
        }
        #footer{
            margin-left: -28px;
            position: relative;
            margin-top: 40px;
        }
    }
    
    .contenedor{
        display: flex;
        justify-content: center;
        align-items: center;
    }
    .fotopresentacion{
        display: flex;
        justify-content: left;
        align-items: left;
        margin: 80px 20px;
    }
    .titulogrande {
        flex-direction: column;
        margin-left: 10px;
        display: flex;
    }
    
    /*----------SOBRE MI------------*/
    .parrafo {
        font: 1em sans-serif;
        font-family: Arial, Helvetica, sans-serif;
        text-align: center;
        margin-left: 300px;
        margin-right: 300px ;
        margin-top: 50px;
        inline-size: none;
        justify-content: center;
        transition: background-color 0.5s ease;
    }
    #parrafo1{
        margin-top: 80px;
        margin-bottom: 0px;
        margin-left: 150px;
        margin-right: 30px;
        border-radius: 10px;
        color: black;
        padding: 20px 30px;
        background-color: #c7c7c7;

    }
    
/* --------PORTAFOLIO-----------*/
.tituloportafolio{

    margin-top: 20px;
    margin-left: 550px;
}
.subtitulo{
    color: #000;
    margin-left: 600px;
    font-size: 15px;

}
@media (prefers-color-scheme: light) {
    .subtitulo {
        color: #000000; /* Cambia el texto a negro */
    }
    body {
        background-color: #ffffff; /* Fondo blanco opcional */
    }
}

/*--------- CAJAS----------*/
.contenedorflex{
    display: flex;
    justify-content:space-around;    
} 

.caja{
    background-color: #D9D9D9;
    width: 150px; height: 290px;
    margin: 10px;
    padding: 15px 100px 90px;
    margin-left: -10px ;
    margin-right: 110px;
    margin-bottom: 8px;
    transition: background-color 0.5s ease;

}
.caja:hover{
    background-color: #909090;
}
.caja1{
    background-color: #D9D9D9;
    width: 150px; height: 350px;
    margin: 10px;
    padding: 15px 100px 30px;
    margin-left: 200px;
    margin-right: 270px;
    margin-bottom: 6px;
    transition: background-color 0.3s ease;
    
}
.caja1:hover{
    background-color: #909090;

}

/*IMAGEN EN CONSTRUCCION*/
.Enconstruccion{
    width: 270px; height: 200px;
    box-sizing;
    margin-left: 5px;
    margin-right: 5px;  
}

/*-------------BOTONES----------------*/
.boton-externo {
    display: inline-block;
    margin-top: 10px;
    margin-block-start: 95px;
    margin-left: 25px;
    padding: 9px 10px;
    background-color: #000000; /* Color azul */
    color: #fff; /* Color del texto blanco */
    text-decoration: none; /* Quitar subrayado */
    border-radius: 5px; /* Bordes redondeados */
    font-size: 16px;
    text-align: center;
    transition: background-color 0.3s ease;
}

.boton-externo:hover {
    background-color: #51b153; /* verde más oscuro al pasar el cursor */
}
.boton-externo1 {
    display: inline-block;
    margin-top: -5px;
    margin-left: 40px;
    padding: 9px 10px;
    background-color: #000000; /* Color azul */
    color: #fff; /* Color del texto blanco */
    text-decoration: none; /* Quitar subrayado */
    border-radius: 5px; /* Bordes redondeados */
    font-size: 16px;
    text-align: center;
    transition: background-color 0.3s ease;
}

.boton-externo1:hover {
    background-color: #51b153; /* verde más oscuro al pasar el cursor */
}

/*----IMAGEN DENTRO DE LAS CAJAS----*/

#fototp{
    width: 200px;
    margin-inline: -50px;
    height: -40px;
    margin-block-end: -90px; 
    margin-left: -30px;
    
}
#fotomonografia{
    width: 200px;
    margin-inline: -40px;
    height: 320px;
    margin-left: -20px;
    margin-block-end: 10px;
}

/*----------------------CURRICULUM-----------------------*/

.titulocv{
margin-left:420px;
}

.cv-container {
    text-align: center;
}

.cv-image {
    max-width: 300px;
    height: auto;
    margin-inline-start: 80px;
    margin-top: 30px;
    border: 2px solid #ccc;
    border-radius: 10px;
    margin-bottom: 20px;
}


.download-btn {
    display: inline-block;
    padding: 15px 30px;
    font-size: 18px;
    color: #fff;
    background-color: #30c429;
    text-decoration: none;
    border-radius: 5px;
    margin-inline-start: 20px;
    margin-left: -320px;
    transition: background-color 0.3s ease;
}

.download-btn:hover {
    background-color: #009027;
    cursor: pointer;
}




@media (max-width: 731px) {
    .container {
        flex-direction: row;
        justify-content: center;

    }

    .logos {
        flex-basis: calc(50% - 20px); 
        max-width: 100px;
    }

}



@media all and (max-width: 700px){ 

    .tituloportafolio{
        margin-left: 100px;
    }
    .fotopresentacion{
        margin-bottom: 600px;
    }
    /*CURRICULUM*/
    .titulocv{
        margin-left: 200px;
    }
    .download-btn{
    margin-left: 90px;
    }
    
    /*PORTAFOLIO*/
    .contenedorflex{
        flex-direction: column;
        justify-content: center;
        display: block;
        margin-left: 50px;
        margin-top: 10px;
    }
    .caja1{
        flex-direction: column;
        margin-left: 45px;
        padding: 20px 50px ;
    }
    #fototp{
        margin-left: -25px;
    }
    
    .caja{
        flex-direction: column;
        margin-left: -40px;
        padding: 15px 50px ;
        margin-left: 45px;
    }
    .boton-externo{
        font-size: x-small;
        margin-left: 40px;
        margin-block-start: 95px;
    }
    .boton-externo1{
        font-size: x-small;
        margin-left: 50px;
        margin-block-start: -30px;
        
    }

    .subtitulo{
        flex-direction: column;
        width: 90%;
        margin-left: 100px;
    }

    
    #fotomonografia{
        height: 260px;
    }

    /*S0BRE MI*/
    .parrafo{
    width: 70%;
    }
    #parrafo1{
    margin-left: 60px;
    }

}


/* --------CAJAS IMG GENERAL Y RESPONSIVE---------- */
.intro, .galeria, .texto {
    background-color: #fff;
    text-align: center;
    padding: 2rem;
    margin: 2rem auto;
    margin-left: 300px;   
    width: 80%;
    max-width: 800px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

.intro h1 {
    margin-bottom: 1rem;
    font-size: 2rem;
}

.intro p {
    flex: 1;
    font-size: 1.1rem;
    color: #000000;
    margin: 0;
}
#footer{
    display: flexbox;
    margin-bottom: -70px;
}

/* CAJA QUE CONTIENE IMG Y TEXTO */
.contenedor {
    display: flex; /* ELEMENTOS EN FILA*/
    align-items: center; /* CENTRADO VERTICAL */
    gap: 20px; /* ESPACIO ENTRE IMAGEN Y TEXTO*/
    padding-top: 150px;
    padding-bottom: 60px;

}

.contenedor img {
    width: 150px;
    height: 150px;
    border-radius: 50%; 
    object-fit: cover; /* AJUSTA LA IMAGEN EN EL CIRCULO */
}

.contenedor p {
    flex: 1; /* EL TEXTO OCUPA EL ESPACIO RESTANTES*/
    font-size: 1.1rem;
    color: #000000;
    margin: 0; /* QUITA MARGNES POR DEFECTO */

}

/* CAJA PARA LA PRIMERA GALERIA DE IMAGENES */
.galeria {
    background-color: #a7a7a7;
    display: flex;
    justify-content: center; /* Centra las imágenes */
    align-items: center;
    gap: 2rem; /* Espacio entre las imágenes */
    padding: 2rem;
    flex-wrap: nowrap; /* Evita que las imágenes se envuelvan en otra fila */
}

.imagen-circular {
    width: 150px;
    height: 150px;
    overflow: hidden;
    border-radius: 50%;
    box-shadow: 5px 6px 6px rgba(0, 0, 0, 0.8); /* SOMBRA GRADIENTE */
    transition: transform 0.3s ease;
}

.imagen-circular:hover {
    transform: scale(1.1);
}

.imagen-circular img {
    width: 100%;
    height: 100%;
    object-fit: cover; /* AJUSTA LA IMAGEN */
}



/* --------RESPONSIVE IMG CAJAS.------------- */
@media (max-width: 768px) {
    .galeria {
        margin-left: 50px;
        flex-direction: row; /* Cambia a disposición vertical en pantallas pequeñas */
        align-items: center; /* Centra los elementos verticalmente */
    }

    .galeria .imagen-circular {
        max-width: auto;  /* Limita el ancho de la imagen al 100% del contenedor */
        height: auto;     /* Mantiene la relación de aspecto de la imagen */
        margin-bottom: 1rem; /* Espacio entre las imágenes */
    }

    .contenedor {
        flex-direction: column; /* Cambia la disposición a vertical en pantallas pequeñas */
        text-align: center; /* Centra el texto en pantalla pequeña */
    }

    .contenedor img {
        margin-bottom: 1rem; /* ESPACIO ENTRE LA IMAGEN Y TEXTO */
        
    }
    .intro{
        margin-left: 50px;
    }

    
}
/*********************** CONTACTO *********************/
.container {
    display: flex;
    flex-direction: column;
    gap: 20px;
    max-width: 800px;
    margin: 0 auto;
    margin-top: 5px;

} 
.box {
    background-color: #fff;
    padding: 20px;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
}

.contact-info {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.contact-info h2 {
    font-size: 24px;
    margin-bottom: 10px;
    text-align: center;
}

.contact-info p {
    font-size: 18px;
}
/* Estilo para modo oscuro */
@media (prefers-color-scheme: dark) {
    .contact-info h2, p {
        color: #000000; /* Cambia el texto a oscuro */
    }
    .body{
        background-color: fffffff;
    }
 .consult {
        color: #000000; /* Cambia el texto a oscuro */
    }
    #subtituloo {
        color: #ffffff; /* Cambia el texto a oscuro */
    }
    body {
        background-color: #000000; /* Fondo oscuro opcional */
    }
}



/************************FORMULARIO DE CONTACTO********/
form {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

form input, form textarea {
    width: 100%;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 4px;
}

form input[type="submit"] {
    background-color: #28a745;
    color: white;
    border: none;
    cursor: pointer;
}

form input[type="submit"]:hover {
    background-color: #218838;
}

.box h2{

    text-align: center;
}
#footer{
    display: flexbox;
    margin-bottom: -120px;
}
#mensaje {
    display: none;
    color: green;
    margin-top: 10px;
}
    
    
    .contacto {
        margin-left: 20px;
        margin-top: 40px;
        margin-right: 10px;
    }
    .contacto1 {
        text-align: center;
    }
    .contacto2 {
        margin-top: 40px;
        text-align: center;
    }
    
    .piedepagina {   
    position: absolute;
    width: 100%;
    background: #c7c7c7;
    height: 100px;
    padding: 8px 70px;
    bottom: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    }
    .redesociales{
        display: flex;
        justify-content: center;
        align-items: center;
        position: relative;
        margin: 10px 5px;
        flex-wrap: wrap;
    }
    .redsocial{
        list-style: none;
    }
    .icon{
        color: black;
        font-size: 30px;
        display: inline-block;
        margin: 0 10px;
    
    }
    .icon:hover{
        transform: translateY(-10px);
    
    }
    .redsocial{
        list-style: none;
    }
    .icon{
        color: black;
        font-size: 20px;
        display: inline-block;
        text-decoration: none;
        margin: 5px 10px;
    }
    @media all and (max-width: 700px){

        .piedepagina {   
            position: absolute;
            width: 108%;
            background: #c7c7c7;
            height: 100px;
            padding: 8px 20px;
            bottom: 0;
            display: flex;
            flex-direction: column;
            }
        
    }
